{% extends 'base.html' %}
{% load static %}

{% block content %}
<div>
    <div class="container-flex">
        <div class="row">
            <!-- select-menu for area choice on mobile devices -->
            <div class="d-block d-md-none">
                <select class="form-select" onchange="redirectToArea(this.value)">
                    <option value="all">Show all ... ({{num_all_entries}})</option>
                    {% for area in num_entries_area %}    
                        {% if url_area == area.0 %}
                        <option value="{{ area.0 }}" selected="selected">{{ area.1 }} ({{area.2}})</option>
                        {% else %}
                        <option value="{{ area.0 }}">{{ area.1 }} ({{area.2}})</option>
                        {% endif %}
                    {% endfor %}
                </select>
            </div>

            <!-- link menu for area choice on desktop -->
            <div class="area-choice-menu bottom-buffer d-none d-md-block">
                <p class="header-paragraph">Areas</p>
                {% if url_area == 'all' %}
                <a class="area-link active-link" style href="{% url appname|add:'_list' %}?area=all">Show all ... ({{num_all_entries}})</a>
                {% else %}
                <a class="area-link" href="{% url appname|add:'_list' %}?area=all">Show all ... ({{num_all_entries}})</a>
                {% endif %}
                
                {% for area in num_entries_area %}
                    {% if url_area == area.0 %}
                    <a class="area-link active-link" href="{% url appname|add:'_list' %}?area={{ area.0 }}">{{ area.1 }} ({{area.2}})</a>
                    {% else %}
                    <a class="area-link" href="{% url appname|add:'_list' %}?area={{ area.0 }}">{{ area.1 }} ({{area.2}})</a>
                    {% endif %}
                {% endfor %}
            </div>
                
            <div class="col-md">
                <!-- New Summary Button -->
                <a class="link-button d-none d-md-block" href="{% url appname|add:'_create' %}">{{ text_button }}</a>
                <a class="link-button link-button-mobiledevice d-block d-md-none" href="{% url appname|add:'_create' %}">{{ text_button }}</a>

                <!-- Display database entries -->
                {% for obj in page_obj %}
                <div class="collapse-menu">
                    {% if appname == 'forum' %}
                    <a class="modern-collapsible content-padding" href="{% url appname|add:'_detail' obj.slug %}">
                        <div class="plus-button-saver">
                            <strong>{{ obj.title }}</strong>
                            <br>
                            {{ obj.authors }} &#183; {{ obj.date_post|date:"M j, Y" }} at {{ obj.date_post|date:"G:i" }}
                        </div>
                        <div>&#9002;</div>
                    </a>

                    {% else %}
                    <button class="modern-collapsible" type="button" onclick="plusChanger('{{ forloop.counter }}')" value="{{ forloop.counter }}">
                        <div class="plus-button-saver">
                            <strong>{{ obj.title }}</strong>
                            <br>
                            {% if obj.pub_year %}
                                {{ obj.pub_year }} &#183;
                            {% endif %}
                            {{ obj.authors }}
                        </div>
                        <div class="plus-button-x" id="plus-button-{{ forloop.counter }}">+</div>
                    </button>
                    <div class="modern-content">
                        <div class="content-padding">
                            <div>
                                {% if appname == 'articlesummaries' %}
                                    {{ obj.abstract }}
                                {% elif appname == 'projectsummaries' %}
                                    {{ obj.introduction }}
                                {% elif appname == 'educationalcontent' %}
                                    {{ obj.description }}
                                {% endif %}
                            </div>
                            <br>
                            <a class="view-full-link" href="{% url appname|add:'_detail' obj.slug %}">{{ text_viewfull }} ...</a>
                            
                            {% if obj.pdfs.all %}
                            <div class="pdf-download-dropdown">
                                <button class="btn btn-secondary dropdown-toggle" type="button" id="pdfDropdown-{{ forloop.counter }}" data-bs-toggle="dropdown" aria-expanded="false">
                                    <i class="fas fa-file-pdf"></i> PDF Downloads
                                </button>
                                <ul class="dropdown-menu" aria-labelledby="pdfDropdown-{{ forloop.counter }}">
                                    {% for pdf in obj.pdfs.all %}
                                        {% if pdf.pdf %}
                                            <li><a class="dropdown-item" href="{{ pdf.pdf.url }}" download>{{ pdf.description|default:pdf.pdf.name }}</a></li>
                                        {% endif %}
                                    {% empty %}
                                        <li><span class="dropdown-item">No PDFs available</span></li>
                                    {% endfor %}
                                </ul>
                            </div>
                            {% endif %}
                        </div>
                    </div>
                    {% endif %}
                </div>
                {% empty %}
                <p><strong>No entries yet.</strong></p>
                {% endfor %}

                <div class="spacer-div"></div>

                <!-- paginator -->
                {% if num_entries and page_obj.paginator.num_pages > 1 %}
                <div class="paginator-bar">
                    <!-- previous page -->
                    {% if page_obj.number > 1 %}
                    <a href="?area={{ url_area }};page={{ page_obj.number|add:'-1' }}" class="paginator-previous">&lsaquo; Previous</a>
                    {% else %}
                    <a href="?area={{ url_area }};page={{ page_obj.number|add:'-1' }}" class="paginator-previous hidden-link">&lsaquo; Previous</a>
                    {% endif %}

                    <!-- page-choice -->
                    {% for page in page_obj.paginator %}
                        {% if forloop.counter == page_obj.number %}
                        <span class="paginator-current-page">{{ forloop.counter }}</span>
                        {% elif forloop.counter >= page_obj.number|add:'-2' and forloop.counter <= page_obj.number|add:'2'%}
                        <a href="?area={{ url_area }};page={{ forloop.counter }}" class="paginator-pagenum-link">{{ forloop.counter }}</a>
                        {% elif forloop.counter == 1 and page_obj.number != 1 %}
                        <a href="?area={{ url_area }};page={{ forloop.counter }}" class="paginator-pagenum-link">{{ forloop.counter }}</a>
                        {% elif forloop.counter == page_obj.paginator.num_pages and page_obj.number != page_obj.paginator.num_pages %}
                        <a href="?area={{ url_area }};page={{ forloop.counter }}" class="paginator-pagenum-link">{{ forloop.counter }}</a>
                        {% elif forloop.counter == 2 or forloop.counter == page_obj.paginator.num_pages|add:'-1' %}
                        <span>...</span>
                        {% elif forloop.counter == page_obj.paginator.num_pages|add:'-1' %}
                        <span>...</span>
                        {% endif %}
                    {% endfor %}
                    
                    <!-- next page -->
                    {% if page_obj.number < page_obj.paginator.num_pages %}
                    <a href="?area={{ url_area }};page={{ page_obj.number|add:'1' }}" class="paginator-next">Next &rsaquo;</a>
                    {% else %}
                    <a href="?area={{ url_area }};page={{ page_obj.number|add:'1' }}" class="paginator-next hidden-link">Next &rsaquo;</a>
                    {% endif %}
                </div>
                {% endif %}
            </div>
        </div>
    </div>
</div>

<!-- JavaScript -->
<script>
    // onchange-event for select menu
    function redirectToArea(val) {
        location.href = "{% url appname|add:'_list' %}?area=" + val
    }
</script>

<!-- JavaScript for Dropdown -->
<script>
    function myFunction() {
        document.getElementById("myDropdown").classList.toggle("show");
}

// Close the dropdown if the user clicks outside of it
    window.onclick = function(event) {
    if (!event.target.matches('.dropbtn')) {
        var dropdowns = document.getElementsByClassName("dropdown-content");
        var i;
        for (i = 0; i < dropdowns.length; i++) {
        var openDropdown = dropdowns[i];
        if (openDropdown.classList.contains('show')) {
            openDropdown.classList.remove('show');
        }
        }
    }
    }
</script>

{% if appname != 'forum' %}
<script type="text/javascript" src="{% static 'assets/transparency/js/list_collapsible.js' %}"></script>
<script type="text/javascript" src="{% static 'assets/transparency/js/list_plusChanger.js' %}"></script>
{% endif %}
{% endblock %}
